Index: /extensions/Register_FluxBB/admin/admin.php
===================================================================
--- /extensions/Register_FluxBB/admin/admin.php	(revision 21423)
+++ /extensions/Register_FluxBB/admin/admin.php	(revision 21424)
@@ -69,358 +311,295 @@
   $msg_error_Synchro = '';
   $msg_ok_Synchro = '';
+  $msg_error_FluxBB2PWG = '';
   $msg_error_PWG2FluxBB = '';
-  $msg_error_FluxBB2PWG = '';
-
-
-
-  $query = "
+
+
+  $query = '
 SELECT COUNT(*) AS nbr_dup, id, username
-FROM ".USERS_TABLE." 
+FROM '.USERS_TABLE.'
+WHERE username NOT IN ("18","16")
 GROUP BY BINARY username
 HAVING COUNT(*) > 1
-;";
+;';
+
   $result = pwg_query($query);
-  
+
   while($row = pwg_db_fetch_assoc($result))
     $msg_error_PWG_Dup .= '<br>'.l10n('Error_PWG_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
-  if ($msg_error_PWG_Dup == '')
-    array_push($page['infos'], l10n('Audit_PWG_Dup').'<br>'.l10n('Audit_OK'));
-  else
-    $msg_error_PWG_Dup = l10n('Audit_PWG_Dup').$msg_error_PWG_Dup.'<br>'.l10n('Advise_PWG_Dup');
-  
-
-
-  $query = "
+    if ($msg_error_PWG_Dup <> '')
+      $msg_error_PWG_Dup = l10n('Audit_PWG_Dup').$msg_error_PWG_Dup.'<br>'.l10n('Advise_PWG_Dup');
+
+  $query = '
 SELECT COUNT(*) AS nbr_dup, username
-FROM ".FluxBB_USERS_TABLE." 
+FROM '.FluxBB_USERS_TABLE.' 
 GROUP BY BINARY username
 HAVING COUNT(*) > 1
-;";
+;';
+
   $result = pwg_query($query);
-  
+
   while($row = pwg_db_fetch_assoc($result))
   {
     $msg_error_FluxBB_Dup .= '<br>'.l10n('Error_FluxBB_Dup').$row['nbr_dup'].' x '.stripslashes($row['username']);
 
-    $subquery = "
+    $subquery = '
 SELECT id, username, email
-FROM ".FluxBB_USERS_TABLE." 
-WHERE BINARY username = BINARY '".$row['username']."'
-;";
+FROM '.FluxBB_USERS_TABLE.' 
+WHERE BINARY username = BINARY "'.$row['username'].'"
+;';
+
     $subresult = pwg_query($subquery);
-  
+
     while($subrow = pwg_db_fetch_assoc($subresult))
     {
       $msg_error_FluxBB_Dup .= '<br>id:'.$subrow['id'].'='.stripslashes($subrow['username']).' ('.$subrow['email'].')';
-  
+
       $msg_error_FluxBB_Dup .= ' <a href="';
-      
+
       $msg_error_FluxBB_Dup .= add_url_params($page_Register_FluxBB_admin, array(
         'action' => 'del_user',
         'id' => $subrow['id'],
       ));
-        
+
       $msg_error_FluxBB_Dup .= '" title="'.l10n('Del_User').stripslashes($subrow['username']).'"';
-        
-      $msg_error_FluxBB_Dup .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-        
-      $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').$subrow['username'].'" /></a>';
-    }
-  }
-
-  if ($msg_error_FluxBB_Dup == '')
-    array_push($page['infos'], l10n('Audit_FluxBB_Dup').'<br>'.l10n('Audit_OK'));
-  else
-    $msg_error_FluxBB_Dup = l10n('Audit_FluxBB_Dup').$msg_error_FluxBB_Dup.'<br>'.l10n('Advise_FluxBB_Dup');
-  
-
-
-  $query = "
+
+      $msg_error_FluxBB_Dup .= $conf_Register_FluxBB['FLUXBB_CONFIRM']=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+      $msg_error_FluxBB_Dup .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($subrow['username']).'" /></a>';
+    }
+  }
+
+  if ($msg_error_FluxBB_Dup <> '')
+    $msg_error_FluxBB_Dup = l10n('Sync_Check_Dup').$msg_error_FluxBB_Dup.'<br>'.l10n('Advise_FluxBB_Dup');
+
+  if ($msg_error_FluxBB_Dup == '' and $msg_error_PWG_Dup == '')
+  {
+    $query = '
 SELECT pwg.id as pwg_id, bb.id as bb_id, pwg.username as pwg_user, pwg.mail_address as pwg_mail
-FROM ".FluxBB_USERS_TABLE." AS bb, ".USERS_TABLE." as pwg
+FROM '.FluxBB_USERS_TABLE.' AS bb, '.USERS_TABLE.' as pwg
 WHERE bb.id NOT in (
   SELECT id_user_FluxBB
-  FROM ".Register_FluxBB_ID_TABLE."
+  FROM '.Register_FluxBB_ID_TABLE.'
   )
 AND pwg.id NOT in (
   SELECT id_user_pwg
-  FROM ".Register_FluxBB_ID_TABLE."
+  FROM '.Register_FluxBB_ID_TABLE.'
   )
 AND pwg.username = bb.username
+AND pwg.username NOT IN ("18","16")
 AND pwg.mail_address = bb.email
-;";
-
-  $result = pwg_query($query);
-  
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    $msg_error_Link_Break .= '<br>'.l10n('Error_Link_Break').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
-
-    $msg_error_Link_Break .= ' <a href="';
-  
-    $msg_error_Link_Break .= add_url_params($page_Register_FluxBB_admin, array(
-      'action'   => 'new_link',
-      'pwg_id' => $row['pwg_id'],
-      'bb_id' => $row['bb_id'],
-    ));
-
-    $msg_error_Link_Break .= '" title="'.l10n('New_Link').stripslashes($row['pwg_user']).'"';
-
-    $msg_error_Link_Break .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_Link_Break .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_break.png" alt="'.l10n('New_Link').stripslashes($row['pwg_user']).'" /></a>';
-  }
-
-  if ($msg_error_Link_Break == '')
-    array_push($page['infos'], l10n('Audit_Link_Break').'<br>'.l10n('Audit_OK'));
-  else
-    $msg_error_Link_Break = l10n('Audit_Link_Break').$msg_error_Link_Break;
-    
-
-  
-  $query = "
+;';
+
+    $result = pwg_query($query);
+
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      $msg_error_Link_Break .= '<br>'.l10n('New_Link').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')';
+      FluxBB_Linkuser($row['pwg_id'], $row['bb_id']);
+    }
+
+    if ($msg_error_Link_Break == '')
+      array_push($page['infos'], l10n('Sync_Link_Break').'<br>'.l10n('Sync_OK'));
+    else
+      $msg_error_Link_Break = l10n('Sync_Link_Break').$msg_error_Link_Break;
+
+    $query = '
 SELECT pwg.username as pwg_user, pwg.id as pwg_id, pwg.mail_address as pwg_mail, bb.id as bb_id, bb.username as bb_user, bb.email as bb_mail
-FROM ".FluxBB_USERS_TABLE." AS bb 
-INNER JOIN ".Register_FluxBB_ID_TABLE." AS link ON link.id_user_FluxBB = bb.id
-INNER JOIN ".USERS_TABLE." as pwg ON link.id_user_pwg = pwg.id
-WHERE pwg.username <> bb.username
-;";
-
-  $result = pwg_query($query);
-  
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
-
-    $msg_error_Link_Bad .= ' <a href="';
-  
-    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-      'action'   => 'link_del',
-      'pwg_id' => $row['pwg_id'],
-      'bb_id'  => $row['bb_id'],
-    ));
-
-    $msg_error_Link_Bad .= '" title="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
-
-    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Del').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
-
-    $msg_error_Link_Bad .= ' -- <a href="';
-
-    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-      'action' => 'sync_user',
-      'username' => stripslashes($row['pwg_user']),
-    ));
-
-    $msg_error_Link_Bad .= '" title="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'"';
-
-    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/arrow_switch.png" alt="'.l10n('Sync_User').stripslashes($row['pwg_user']).' --> '.stripslashes($row['bb_user']).'" /></a>';
-  }
-
-
-  $query = "
+FROM '.FluxBB_USERS_TABLE.' AS bb 
+INNER JOIN '.Register_FluxBB_ID_TABLE.' AS link ON link.id_user_FluxBB = bb.id
+INNER JOIN '.USERS_TABLE.' as pwg ON link.id_user_pwg = pwg.id
+WHERE BINARY pwg.username <> BINARY bb.username
+AND pwg.username NOT IN ("18","16")
+;';
+
+    $result = pwg_query($query);
+
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      $msg_error_Link_Bad .= '<br>'.l10n('Link_Del').stripslashes($row['pwg_user']).' ('.$row['pwg_mail'].')'.' -- '.stripslashes($row['bb_user']).' ('.$row['bb_mail'].')';
+
+      $subquery = '
+DELETE FROM '.Register_FluxBB_ID_TABLE.'
+WHERE id_user_pwg = '.$row['pwg_id'].'
+AND id_user_FluxBB = '.$row['bb_id'].'
+;';
+
+      $subresult = pwg_query($subquery);
+    }
+
+    $query = '
 SELECT COUNT(*) as nbr_dead
-FROM ".Register_FluxBB_ID_TABLE." AS Link
+FROM '.Register_FluxBB_ID_TABLE.' AS Link
 WHERE id_user_FluxBB NOT IN (
   SELECT id
-  FROM ".FluxBB_USERS_TABLE."
+  FROM '.FluxBB_USERS_TABLE.'
   )
 OR id_user_pwg NOT IN (
   SELECT id
-  FROM ".USERS_TABLE."
-  )
-;";
-
-  $Compteur = pwg_db_fetch_assoc(pwg_query($query));
-
-  if (!empty($Compteur) and $Compteur['nbr_dead'] > 0)
-  { 
-    $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dead').$Compteur['nbr_dead'];
-
-    $msg_error_Link_Bad .= ' <a href="';
-
-    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-      'action'   => 'link_dead',
-    ));
-
-    $msg_error_Link_Bad .= '" title="'.l10n('Link_Dead').$Compteur['nbr_dead'].'"';
-
-    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_delete.png" alt="'.l10n('Link_Dead').$Compteur['nbr_dead'].'" /></a>';
-  }
-
-  $query = "
+  FROM '.USERS_TABLE.'
+  )
+;';
+
+    $Compteur = pwg_db_fetch_assoc(pwg_query($query));
+
+    if (!empty($Compteur) and $Compteur['nbr_dead'] > 0)
+    { 
+      $msg_error_Link_Bad .= '<br>'.l10n('Link_Dead').$Compteur['nbr_dead'];
+
+      $query = '
+DELETE FROM '.Register_FluxBB_ID_TABLE.'
+WHERE id_user_FluxBB NOT IN (
+  SELECT id
+  FROM '.FluxBB_USERS_TABLE.'
+  )
+OR id_user_pwg NOT IN (
+  SELECT id
+  FROM '.USERS_TABLE.'
+  )
+;';
+
+      $result = pwg_query($query);
+    }
+
+    $query = '
 SELECT COUNT(*) AS nbr_dup, pwg.id AS pwg_id, pwg.username AS pwg_user, bb.username AS bb_user, bb.id AS bb_id
-FROM ".FluxBB_USERS_TABLE." AS bb 
-INNER JOIN ".Register_FluxBB_ID_TABLE." AS link ON link.id_user_FluxBB = bb.id
-INNER JOIN ".USERS_TABLE." as pwg ON link.id_user_pwg = pwg.id
+FROM '.FluxBB_USERS_TABLE.' AS bb 
+INNER JOIN '.Register_FluxBB_ID_TABLE.' AS link ON link.id_user_FluxBB = bb.id
+INNER JOIN '.USERS_TABLE.' as pwg ON link.id_user_pwg = pwg.id
+WHERE pwg.username NOT IN ("18","16")
 GROUP BY link.id_user_pwg, link.id_user_FluxBB
 HAVING COUNT(*) > 1
-;";
-
-  $result = pwg_query($query);
-  
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    $msg_error_Link_Bad .= '<br>'.l10n('Error_Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
-
-    $msg_error_Link_Bad .= ' <a href="';
-
-    $msg_error_Link_Bad .= add_url_params($page_Register_FluxBB_admin, array(
-      'action'   => 'new_link',
-      'pwg_id' => $row['pwg_id'],
-      'bb_id' => $row['bb_id'],
-    ));
-
-    $msg_error_Link_Bad .= '" title="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'"';
-
-    $msg_error_Link_Bad .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_Link_Bad .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/link_error.png" alt="'.l10n('Link_Dup').stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).'" /></a>';
-  }
-
-  if ($msg_error_Link_Bad == '')
-    array_push($page['infos'], l10n('Audit_Link_Bad').'<br>'.l10n('Audit_OK'));
-  else
-    $msg_error_Link_Bad = l10n('Audit_Link_Bad').$msg_error_Link_Bad;
+;';
+
+    $result = pwg_query($query);
     
-
-  
-  $query = "
-SELECT pwg.username as username, pwg.password as pwg_pwd, pwg.mail_address as pwg_eml, FluxBB.password as bb_pwd, FluxBB.email as bb_eml
-FROM ".FluxBB_USERS_TABLE." AS FluxBB 
-INNER JOIN ".Register_FluxBB_ID_TABLE." AS link ON link.id_user_FluxBB = FluxBB.id
-INNER JOIN ".USERS_TABLE." as pwg ON link.id_user_pwg = pwg.id
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      $msg_error_Link_Bad .= '<br>'.l10n('Link_Dup').$row['nbr_dup'].' = '.stripslashes($row['pwg_user']).' -- '.stripslashes($row['bb_user']).')';
+  
+      FluxBB_Linkuser($row['pwg_id'], $row['bb_id']);
+    }
+
+    if ($msg_error_Link_Bad == '')
+      array_push($page['infos'], l10n('Sync_Link_Bad').'<br>'.l10n('Sync_OK'));
+    else
+      $msg_error_Link_Bad = l10n('Sync_Link_Bad').$msg_error_Link_Bad;
+
+    $query = '
+SELECT pwg.id as pwg_id, pwg.username as username, pwg.password as pwg_pwd, pwg.mail_address as pwg_eml, FluxBB.id as bb_id, FluxBB.password as bb_pwd, FluxBB.email as bb_eml
+FROM '.FluxBB_USERS_TABLE.' AS FluxBB 
+INNER JOIN '.Register_FluxBB_ID_TABLE.' AS link ON link.id_user_FluxBB = FluxBB.id
+INNER JOIN '.USERS_TABLE.' as pwg ON link.id_user_pwg = pwg.id
 AND BINARY pwg.username = BINARY FluxBB.username
 ORDER BY LOWER(pwg.username)
-;";
-
-  $result = pwg_query($query);
-  
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
-    {
-      $msg_error_Synchro .= '<br>'.l10n('Error_Synchro').stripslashes($row['username']);
-
-      $msg_error_Synchro .= ' <a href="';
-
-      $msg_error_Synchro .= add_url_params($page_Register_FluxBB_admin, array(
-        'action' => 'sync_user',
-        'username' => stripslashes($row['username']),
+;';
+
+    $result = pwg_query($query);
+
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      if ( ($row['pwg_pwd'] != $row['bb_pwd']) or ($row['pwg_eml'] != $row['bb_eml']) )
+      {
+        $msg_error_Synchro .= '<br>'.l10n('Sync_User').stripslashes($row['username']);
+
+        $query = '
+SELECT id, username, password, mail_address 
+FROM '.USERS_TABLE.'
+WHERE BINARY id = "'.$row['pwg_id'].'"
+AND "'.$row['username'].'" NOT IN ("18","16")
+;';
+
+        $data = pwg_db_fetch_assoc(pwg_query($query));
+
+        if (!empty($data))
+          FluxBB_Updateuser($data['id'], stripslashes($data['username']), $data['password'], $data['mail_address']);
+      }
+    }
+
+    if ($msg_error_Synchro == '')
+      array_push($page['infos'], l10n('Sync_DataUser').'<br>'.l10n('Sync_OK'));
+    else
+      $msg_error_Synchro = l10n('Sync_DataUser').$msg_error_Synchro;
+
+    $query = '
+SELECT username, mail_address FROM '.USERS_TABLE.'
+WHERE BINARY username <> BINARY "guest"
+AND username NOT IN ("18","16")
+AND id not in (
+  SELECT id_user_pwg FROM '.Register_FluxBB_ID_TABLE.'
+  )
+AND BINARY username not in (
+  SELECT username FROM '.FluxBB_USERS_TABLE.'
+  )
+ORDER BY LOWER(username)
+;';
+
+    $result = pwg_query($query);
+
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      $msg_error_PWG2FluxBB .= '<br>'.l10n('Add_User').stripslashes($row['username']).' ('.$row['mail_address'].')';
+
+      $query = '
+SELECT id, username, password, mail_address 
+FROM '.USERS_TABLE.'
+WHERE BINARY username = BINARY "'.$row['username'].'"
+AND username NOT IN ("18","16")
+LIMIT 1
+;';
+
+      $data = pwg_db_fetch_assoc(pwg_query($query));
+
+      if (!empty($data))
+        FluxBB_Adduser($data['id'], stripslashes($data['username']), $data['password'], $data['mail_address']);  
+    }
+
+    if ($msg_error_PWG2FluxBB == '')
+      array_push($page['infos'], l10n('Sync_PWG2FluxBB').'<br>'.l10n('Sync_OK'));
+    else
+      $msg_error_PWG2FluxBB = l10n('Sync_PWG2FluxBB').$msg_error_PWG2FluxBB;
+  
+    $query = '
+SELECT id, username, email FROM '.FluxBB_USERS_TABLE.'
+WHERE BINARY username <> BINARY "'.$conf_Register_FluxBB['FLUXBB_GUEST'].'"
+AND id not in (
+  SELECT id_user_FluxBB FROM '.Register_FluxBB_ID_TABLE.'
+  )
+AND BINARY username not in (
+  SELECT username FROM '.USERS_TABLE.'
+  )
+ORDER BY LOWER(username)
+;';
+
+    $result = pwg_query($query);
+
+    while($row = pwg_db_fetch_assoc($result))
+    {
+      $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
+      $msg_error_FluxBB2PWG .= ' <a href="';
+      $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
+          'action' => 'del_user',
+          'id' => $row['id'],
       ));
 
-      $msg_error_Synchro .= '" title="'.l10n('Sync_User').stripslashes($row['username']).'"';
-
-      $msg_error_Synchro .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-      $msg_error_Synchro .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_refresh.png" alt="'.l10n('Sync_User').stripslashes($row['username']).'" /></a>';
-
-      if ($row['pwg_pwd'] != $row['bb_pwd'])
-        $msg_error_Synchro .= '<br>'.l10n('Error_Synchro_Pswd');
-
-      if ($row['pwg_eml'] != $row['bb_eml'])
-        $msg_error_Synchro .= '<br>'.l10n('Error_Synchro_Mail').'<br>-- PWG = '.$row['pwg_eml'].'<br>-- FluxBB = '.$row['bb_eml'];
-    }
-    else if ($conf_Register_FluxBB[5] == 'true')
-      $msg_ok_Synchro .= '<br> - '.stripslashes($row['username']).' ('.$row['pwg_eml'].')'.l10n('Audit_Synchro_OK');
-  }
-
-  if ($msg_error_Synchro <> '')
-    $msg_error_Synchro = l10n('Audit_Synchro').$msg_error_Synchro;
-    
-  if ($msg_ok_Synchro <> '')
-    if ($msg_error_Synchro <> '')
-      array_push($page['infos'], l10n('Audit_Synchro').$msg_ok_Synchro.'<br><br>');
+      $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
+
+      $msg_error_FluxBB2PWG .= $conf_Register_FluxBB['FLUXBB_CONFIRM']=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
+
+      $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
+    }
+
+    if ($msg_error_FluxBB2PWG == '')
+      array_push($page['infos'], l10n('Sync_FluxBB2PWG').'<br>'.l10n('Sync_OK'));
     else
-      array_push($page['infos'], l10n('Audit_Synchro').$msg_ok_Synchro.'<br><br>'.l10n('Audit_OK'));
-
-
-  $query = "
-SELECT username, mail_address FROM ".USERS_TABLE."
-WHERE BINARY username <> BINARY 'guest'
-AND id not in (
-  SELECT id_user_pwg FROM ".Register_FluxBB_ID_TABLE."
-  )
-AND BINARY username not in (
-  SELECT username FROM ".FluxBB_USERS_TABLE."
-  )
-ORDER BY LOWER(username)
-;";
-
-  $result = pwg_query($query);
-
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    $msg_error_PWG2FluxBB .= '<br>'.l10n('Error_PWG2FluxBB').stripslashes($row['username']).' ('.$row['mail_address'].')';
-
-    $msg_error_PWG2FluxBB .= ' <a href="';
-
-    $msg_error_PWG2FluxBB .= add_url_params($page_Register_FluxBB_admin, array(
-      'action' => 'add_user',
-      'username' => stripslashes($row['username']),
-    ));
-
-    $msg_error_PWG2FluxBB .= '" title="'.l10n('Add_User').stripslashes($row['username']).'" ';
-
-    $msg_error_PWG2FluxBB .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_PWG2FluxBB .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_add.png" alt="'.l10n('Add_User').stripslashes($row['username']).'" /></a>';
-  }
-
-  if ($msg_error_PWG2FluxBB == '')
-    array_push($page['infos'], l10n('Audit_PWG2FluxBB').'<br>'.l10n('Audit_OK'));
+      $msg_error_FluxBB2PWG = l10n('Sync_FluxBB2PWG').$msg_error_FluxBB2PWG;
+  }
   else
-    $msg_error_PWG2FluxBB = l10n('Audit_PWG2FluxBB').$msg_error_PWG2FluxBB;
-
-  
-
-  $query = "
-SELECT id, username, email FROM ".FluxBB_USERS_TABLE."
-WHERE BINARY username <> BINARY '".$conf_Register_FluxBB[2]."'
-AND id not in (
-  SELECT id_user_FluxBB FROM ".Register_FluxBB_ID_TABLE."
-  )
-AND BINARY username not in (
-  SELECT username FROM ".USERS_TABLE."
-  )
-ORDER BY LOWER(username)
-;";
-
-  $result = pwg_query($query);
-
-  while($row = pwg_db_fetch_assoc($result))
-  {
-    $msg_error_FluxBB2PWG .= '<br>'.l10n('Error_FluxBB2PWG').stripslashes($row['username']).' ('.$row['email'].')';
-
-    $msg_error_FluxBB2PWG .= ' <a href="';
-
-    $msg_error_FluxBB2PWG .= add_url_params($page_Register_FluxBB_admin, array(
-      'action' => 'del_user',
-      'id' => $row['id'],
-    ));
-
-    $msg_error_FluxBB2PWG .= '" title="'.l10n('Del_User').stripslashes($row['username']).'"';
-
-    $msg_error_FluxBB2PWG .= $conf_Register_FluxBB[4]=='false' ?  ' onclick="return confirm(\''.l10n('Are you sure?').'\');" ' : ' ';
-
-    $msg_error_FluxBB2PWG .= '><img src="'.REGFLUXBB_PATH.'/admin/template/icon/user_delete.png" alt="'.l10n('Del_User').stripslashes($row['username']).'" /></a>';
-  }
-
-  if ($msg_error_FluxBB2PWG == '')
-    array_push($page['infos'], l10n('Audit_FluxBB2PWG').'<br>'.l10n('Audit_OK'));
-  else
-    $msg_error_FluxBB2PWG = l10n('Audit_FluxBB2PWG').$msg_error_FluxBB2PWG;
-
-
+    $errors[] = l10n('Advise_Check_Dup');
 
   if ($msg_error_PWG_Dup <> '')
     $errors[] = $msg_error_PWG_Dup . ( ($msg_error_FluxBB_Dup == '' and $msg_error_Link_Break == '' and $msg_error_Link_Bad == '' and $msg_error_Synchro == '' and $msg_error_PWG2FluxBB == '' and $msg_error_FluxBB2PWG == '') ? '' : '<br><br>' );
-  
+
   if ($msg_error_FluxBB_Dup <> '')
     $errors[] = $msg_error_FluxBB_Dup . ( ($msg_error_Link_Break == '' and $msg_error_Link_Bad == '' and $msg_error_Synchro == '' and $msg_error_PWG2FluxBB == '' and $msg_error_FluxBB2PWG == '') ? '' : '<br><br>' );
